<template>
  <div>
    <Header />
    <banner
      v-if="included"
      :actived-tab="activedTab"
      :banner-keys="bannerKeys"
      :is-animation="false"
      height="var(--banner-height)"
    />
    <header-announcement-bar/>
    
    <slot container-class="w-full mx-auto container min-h-[70vh]" />
    <lazy-footer template="common" layout="desktop"/>
  </div>
</template>

<script lang="ts">
import _ from "lodash";
import { defineComponent, computed } from "vue";
import { useRoute } from "vue-router";
import { store } from "@/store";

export default defineComponent({
  name: "App",
  setup() {
    const array: Array<string> = [
      "home",
      "games",
      "keno",
      "cockfight",
      "lottery",
      "poker",
      "promotion",
      "sports",
      "virtualsports",
      "livecasino",
    ];
    const isLoading = computed(() => store.state.isThemePropertyLoading);
    const route = useRoute();
    const tabSelected = computed(() =>
      _.replace(_.replace(route.path.split("/")[1], "-", ""), "/", "")
    );
    const activedTab = computed(() =>
      tabSelected.value !== "" ? tabSelected.value : "Home"
    );
    const included = computed(() =>
      _.includes(array, _.toLower(activedTab.value))
    );
    const bannerKeys: Record<string, string> = {
      home: "lobby_banner_",
      sports: "sport_banner_",
      virtualsports: "virtual_sport_banner_",
      livecasino: "live_casino_banner_",
      games: "game_banner_",
      poker: "poker_banner_",
      keno: "keno_banner_",
      lottery: "lottery_banner_",
      cockfight: "cockfight_banner_",
      promotion: "promotion_banner_",
    };
    return {
      included,
      activedTab,
      isLoading,
      bannerKeys,
    };
  },
});
</script>
<style lang="scss">
@import "@/assets/styles/theme.scss";
[layout="cool88"].theme-wrapper,
[layout="cool88"] div.container {
  min-width: 1200px;
}
</style>
<style lang="postcss">
.btn {
  @apply border-0 inline-block text-center text-white duration-300;
}
</style>
<style lang="scss">
[layout="bk8"] {
  .el-carousel__indicators--horizontal {
    .el-carousel__indicator--horizontal .el-carousel__button {
      width: 8px;
      height: 8px;
      margin: 0 4px;
      border-radius: 12px;
    }
    .el-carousel__indicator.is-active button {
      background-color: var(--primary);
    }
  }
  .el-button.el-button--primary {
    --el-button-hover-bg-color: var(--primary);
    --el-button-hover-border-color: var(--primary);
    --el-button-active-border-color: var(--primary);
    --el-button-active-bg-color: var(--primary);
  }
  .more-info.el-button.el-button--primary.is-plain {
    --el-button-hover-bg-color: unset;
    --el-button-active-bg-color: unset;
    --el-button-hover-border-color: var(--primary);
    --el-button-active-border-color: var(--primary);
  }
  .close.el-button.el-button--primary.is-plain {
    --el-button-hover-bg-color: unset;
    --el-button-active-bg-color: unset;
    --el-button-hover-border-color: var(--text5);
    --el-button-active-border-color: var(--text5);
    --el-button-hover-text-color: var(--text5);
    --el-button-active-text-color: var(--text5);
  }
  .el-collapse-item__header.is-active {
    color: var(--textBtn);
  }
  .el-table tr {
    background-color: unset;
  }
}
</style>
